package com.qmth.paper.library.common.service;

import com.qmth.paper.library.common.entity.BasicField;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 字段管理表 服务类
 * </p>
 *
 * @author xf
 * @since 2024-07-30
 */
public interface BasicFieldService extends IService<BasicField> {

    List<BasicField> listBySchoolId(Long schoolId);
    List<BasicField> listData();

    boolean savaData(List<BasicField> list);

    boolean removeBySchoolId(Long schoolId);
}
